Skip to content
POST/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}

Update reservation

Updates a specific reservation for a specific resource on a specific site for a given mandate

Required permissions:

  • mandate.read

  • resource.read

  • resourceReservation.remove

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
reservationIdstringrequired

Request Body required

Content-Type: application/json

statusstringrequired

Options:

reservedmaintenanceblockedoutOfOrderclosedother
descriptionstringrequired

maxLength: 400

quantityinteger | nullrequired

maximum: 9007199254740991

exclusiveMinimum: 0

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/resources/reservations/{reservationId}' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "status": "reserved",
  "description": "string",
  "period": {
    "from": "2026-06-15T22:30:00Z",
    "to": "2026-06-15T22:30:00Z"
  },
  "quantity": 1
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valueany

Response

200
"string"

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}